Firefox 1.5 Extensions Compatibility - SnagIt Update

I'm not sure what changed, but the Firefox Extension for SnagIt is now compatible with Firefox 1.5. The extension's web page at www.techsmith.com/products/snagit/firefox.asp does not mention an update for Firefox 1.5, and the extension itself is still versioned as 1.0, but this morning it successfully installed and works as expected on Firefox 1.5.

No comments: